﻿#mapit-authentication-form.login h1,
#mapit-authentication-form.change-password h1,
#mapit-authentication-form.forgot-password h1 {
    font-size: 1.5rem;
    margin-bottom: 10px;
    width: 100%;
}

#mapit-authentication-form.login,
#mapit-authentication-form.change-password,
#mapit-authentication-form.forgot-password {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    min-height: 100%;
    padding: 20px;
}

    #mapit-authentication-form.login .formcontent,
    #mapit-authentication-form.change-password .formcontent,
    #mapit-authentication-form.forgot-password .formcontent,
    #mapit-authentication-form.set-password .formcontent,
    #mapit-authentication-form.reset-password .formcontent {
        width: 90%;
        max-width: 450px;
        text-align: left;
        display: inline-block;
    }

    #mapit-authentication-form.login .formcontent,
    #mapit-authentication-form.change-password .formcontent,
    #mapit-authentication-form.forgot-password .formcontent {
        border-radius: 10px 10px 10px 10px;
        background: #fff;
        padding: 30px;
        position: relative;
        text-align: center;
    }

    #mapit-authentication-form.login .formFooter,
    #mapit-authentication-form.change-password .formFooter,
    #mapit-authentication-form.forgot-password .formFooter {
        background-color: #f6f6f6;
        padding: 25px;
        text-align: center;
        -webkit-border-radius: 0 0 10px 10px;
        border-radius: 0 0 10px 10px;
    }

    #mapit-authentication-form.login input,
    #mapit-authentication-form.change-password input,
    #mapit-authentication-form.forgot-password input {
        text-align: center;
    }

    #mapit-authentication-form.login .k-form-error,
    #mapit-authentication-form.change-password .k-form-error,
    #mapit-authentication-form.forgot-password .k-form-error {
        flex-direction: column;
    }


    #mapit-authentication-form.login #forgot-password-link-area {
        font-size: 0.85rem;
        text-align: right;
    }

    #mapit-authentication-form.login button,
    #mapit-authentication-form.change-password button,
    #mapit-authentication-form.forgot-password button {
        width: 100%;
        border-radius: 20px;
        margin-top: 20px;
    }

    #mapit-authentication-form.forgot-password #go-to-login-area {
        text-align: left;
    }

    #mapit-authentication-form.login .field-validation-error,
    #mapit-authentication-form.change-password .field-validation-error,
    #mapit-authentication-form.forgot-password .field-validation-error,
    #mapit-authentication-form.login .validation-summary-errors,
    #mapit-authentication-form.change-password .validation-summary-errors,
    #mapit-authentication-form.forgot-password .validation-summary-errors {
        justify-content: center;
    }
